import request from "request-promise-native";
import { Message } from "discord.js";
import { CommandSet, Command } from "src/model/command";

@CommandSet
export class Inspire {

    async doInspire(msg: Message) {
        let result = await request("https://inspirobot.me/api?generate=true");
        msg.channel.send(`${msg.author.toString()} Here is a piece of my wisdom:`, {
            files: [ result ]
        });
    }

    @Command({ pattern: "inspire me", documentation: "Generates an inspiring quote just for you"})
    inspire(msg: Message) {
        this.doInspire(msg);
    }
}